#pragma once
#include <string>

#define MAX_LENGTH				64			// keyԼvalueַ󳤶
#define MAX_LENGTH_SAMPLING		255			// value
#define MAX_SEND_PAIR			500			// ƽ̨飨key+value
#define MAX_SEND_PAIR_SAMPLING  200			// ƽ̨Ĳ飨key+value
#define MAX_RECEIVE_PAIR		32			// ƽ̨(key+value)

#pragma pack(1)

typedef struct _TritonPayload
{
	char szKey[MAX_LENGTH];   //IDӦNeptuneݶ
	char szValue[MAX_LENGTH]; //ֵ
}TritonPayload;

typedef struct _TritonPayloadSampling
{
	char szKey[MAX_LENGTH];   //IDӦNeptuneݶ
	char szValue[MAX_LENGTH_SAMPLING]; //ֵ
}TritonPayloadSampling;


//ݴṹ
typedef struct _triton_send_data
{
	unsigned int iSize; //
	TritonPayload payload[MAX_SEND_PAIR];
	_triton_send_data()
	{
		memset(this, 0, sizeof(*this));
	}
} TritonDataSend;

//ݴṹ
typedef struct _triton_send_data_sampling
{
	unsigned int iSize; //
	char szTimeStart[MAX_LENGTH];
	char szInterval[MAX_LENGTH];
	TritonPayloadSampling payload[MAX_SEND_PAIR_SAMPLING];
	_triton_send_data_sampling()
	{
		memset(this, 0, sizeof(*this));
	}
} TritonDataSendSampling;

typedef struct _triton_receive_data
{
	unsigned int iSize; //
	TritonPayload payload[MAX_RECEIVE_PAIR];
	_triton_receive_data()
	{
		memset(this, 0, sizeof(*this));
	}
} TritonDataRecv;

#pragma pack()

#define	 TRITON_API	extern "C" short __stdcall

//
TRITON_API triton_send(TritonDataSend *pTritonDataSend);

//Ͳ
TRITON_API triton_send_sampling(TritonDataSendSampling *pTritonDataSendSampling);

//ȡ
TRITON_API triton_recv(TritonDataRecv *pTritonDataRecv);

//ȡ״̬    0 : 1    offline : online
TRITON_API triton_status();

//ȡUUID
TRITON_API triton_uuid(char* strUuid);